{% extends '@App/base.html.twig' %}

{% block body %}

    {% if app.user %}

        <h1>{{ 'dashboard.titles.myDocuments'|trans }}</h1>

        <table class="table" tabindex="0">
            <thead>
            <tr>
                <th>{{ 'dashboard.title'|trans }}</th>
                <th>{{ 'dashboard.internalRef'|trans }}</th>
                <th>{{ 'dashboard.creationDate'|trans }} / {{ 'dashboard.author'|trans }}</th>
                <th>{{ 'dashboard.editDate'|trans }} / {{ 'dashboard.author'|trans }}</th>
                <th>{{ 'dashboard.actions'|trans }}</th>
            </tr>
            </thead>
            <tbody>
            {% for filling in fillings %}

                <tr>
                    <td>{{ filling.template.name }}</td>
                    <td>{{ filling.internalRef }}</td>
                    <td>{{ filling.creationDate|date("d/m/Y H:i:s") }} / {{ filling.filler.username }}</td>
                    <td>
                        {% if filling.updateDate != filling.creationDate %}
                            {{ filling.updateDate|date("d/m/Y H:i:s") }} / {{ filling.filler.username }}
                        {% endif %}
                    </td>
                    <td>
                        <a class="icon-box" href="{{ path('filling_edit', {fillingId: filling.id}) }}"
                           title="{{ 'actionHelper.edit'|trans }}"><i class="fa fa-edit"></i></a>
                        <a class="icon-box"
                           href="{{ path('filling_print', {fillingId: filling.id, format: "pdf"}) }}"
                           title="{{ 'actionHelper.print'|trans }}"><i class="fa fa-file-pdf-o"></i></a>

                        <a class="icon-box"
                           title="{{ 'actionHelper.exportDocX'|trans }}"
                           href="{{ path('filling_print',{fillingId: filling.id,format: "docx"}) }}">
                            <i class="fa fa-file-word-o"></i>
                        </a>

                        <a class="icon-box confirm-it"
                           title="{{ 'actionHelper.remove'|trans }}"
                           href="{{ path('filling_remove', {fillingId: filling.id}) }}"><span
                                    class="fa fa-remove"></span></a>
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td colspan="5">{{ 'dashboard.documents.emptyMyDocument'|trans }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
        <br/>
        <br/>
        <br/>

    {% else %}
        <p>{{ 'dashboard.pleaseLogin'|trans }}</p>
    {% endif %}
{% endblock %}

{% block stylesheets %}{% endblock %}
